{application,riak_repl,
    [{description,"Enterprise replication for Riak"},
     {id,"riak_repl"},
     {vsn,"2.1.8-14-g979c867"},
     {applications,
         [kernel,stdlib,sasl,crypto,ssl,ebloom,riak_core,riak_kv,ranch]},
     {registered,
         [riak_repl_connector_sup,riak_repl_leader,riak_repl_stats,
          riak_rep_sup]},
     {mod,{riak_repl_app,[]}},
     {env,
         [{client_retry_timeout,30000},
          {client_connect_timeout,15000},
          {fullsync_on_connect,true},
          {fullsync_interval,360},
          {data_root,"data/riak_repl"},
          {merkle_bufsize,1048576},
          {server_max_pending,5},
          {client_ack_frequency,5},
          {queue_size,104857600},
          {fullsync_strategies,[keylist]},
          {min_get_workers,5},
          {max_get_workers,100},
          {min_put_workers,5},
          {max_put_workers,100},
          {vnode_gets,true},
          {diff_batch_size,100},
          {exometer_folsom_monitor,
              [{riak_core_connection_mgr_stats,riak_core_exo_monitor},
               {riak_repl_stats,riak_core_exo_monitor}]}]},
     {modules,
         [bounded_queue,gen_leader,riak_core_cluster_conn,
          riak_core_cluster_conn_sup,riak_core_cluster_mgr,
          riak_core_cluster_mgr_sup,riak_core_cluster_serv,
          riak_core_connection,riak_core_connection_mgr,
          riak_core_connection_mgr_stats,riak_core_service_conn,
          riak_core_service_mgr,riak_repl,riak_repl2_fs_node_reserver,
          riak_repl2_fscoordinator,riak_repl2_fscoordinator_serv,
          riak_repl2_fscoordinator_serv_sup,riak_repl2_fscoordinator_sup,
          riak_repl2_fssink,riak_repl2_fssink_pool,riak_repl2_fssink_sup,
          riak_repl2_fssource,riak_repl2_fssource_sup,riak_repl2_ip,
          riak_repl2_leader,riak_repl2_pg,riak_repl2_pg_block_provider,
          riak_repl2_pg_block_provider_sup,riak_repl2_pg_block_requester,
          riak_repl2_pg_block_requester_sup,riak_repl2_pg_proxy,
          riak_repl2_pg_proxy_sup,riak_repl2_pg_sup,riak_repl2_rt,
          riak_repl2_rt_sup,riak_repl2_rtframe,riak_repl2_rtq,
          riak_repl2_rtq_overload_counter,riak_repl2_rtq_proxy,
          riak_repl2_rtsink_conn,riak_repl2_rtsink_conn_sup,
          riak_repl2_rtsink_helper,riak_repl2_rtsink_sup,
          riak_repl2_rtsource_conn,riak_repl2_rtsource_conn_sup,
          riak_repl2_rtsource_helper,riak_repl2_rtsource_sup,
          riak_repl_aae_sink,riak_repl_aae_source,riak_repl_app,riak_repl_bq,
          riak_repl_bucket_type_util,riak_repl_cinfo,riak_repl_client_sup,
          riak_repl_console,riak_repl_cs,riak_repl_fsm_common,
          riak_repl_fullsync_helper,riak_repl_fullsync_worker,
          riak_repl_keylist_client,riak_repl_keylist_server,riak_repl_leader,
          riak_repl_leader_helper,riak_repl_listener_sup,riak_repl_migration,
          riak_repl_pb_get,riak_repl_ring,riak_repl_ring_handler,
          riak_repl_server_sup,riak_repl_stats,riak_repl_sup,
          riak_repl_tcp_client,riak_repl_tcp_server,riak_repl_util,
          riak_repl_web,riak_repl_wm_stats]}]}.
